{{> ph_us/mobileNorthStar/formStyles }}

<style>
  .form-container {
    margin-top: 15px;
    width: 100%;
  }

  .reset-button-container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 12px;
  }

  .submit-reset-button {
    margin-left: 24px;
    margin-right: 24px;
    height: 50px;
    width: 100%;
    background-color: #E21216;
    border-radius: 35px;
    border-width: 0;
    color: white;
    font-family: open_sans_bold;
    font-weight: 400;
    letter-spacing: 1px;
    font-size: 16px;
    line-height: 22px;
    text-align: center;
  }
</style>
<script>
  // add meta tag to head and set it to make the page responsive
  // this should just be in the html in default.hbs but my changes won't show up for some reason right now.
  const meta = document.createElement('meta');
  meta.setAttribute('name', 'viewport');
  meta.setAttribute('content', 'width=device-width, initial-scale=1');

  // set sizing to be larger

  document.getElementsByTagName('head')[0].appendChild(meta);
</script>
<div class="container">
  <h1 class="title">Reset Password</h1>
  <p class="small-paragraph-text">Just let us know your email and we'll send you a link to reset your password.</p>

  <form method="post" class="form-container" action="{{ base_path }}/forgot_password">

    <input name="_csrf" type="hidden" value="{{csrf_token}}" />
    <input name="client_id" type="hidden" value="{{ client_id }}">

    <!-- Email -->
    <div class="input-section">
      <div class="input-wrapper">
        <label class="input-label">Email</label>
        <input type="email" id="email" name="email" required class="input-field" value="{{{ email }}}" />
      </div>
      <div id="email-error" class="input-error-container hidden">
        <svg class="error-svg" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M6.86001 2.57335L1.21335 12C1.09693 12.2016 1.03533 12.4302 1.03467 12.663C1.03402 12.8958 1.09434 13.1248 1.20963 13.327C1.32492 13.5293 1.49116 13.6978 1.69182 13.8159C1.89247 13.934 2.12055 13.9975 2.35335 14H13.6467C13.8795 13.9975 14.1076 13.934 14.3082 13.8159C14.5089 13.6978 14.6751 13.5293 14.7904 13.327C14.9057 13.1248 14.966 12.8958 14.9654 12.663C14.9647 12.4302 14.9031 12.2016 14.7867 12L9.14001 2.57335C9.02117 2.37742 8.85383 2.21543 8.65414 2.103C8.45446 1.99058 8.22917 1.93152 8.00001 1.93152C7.77086 1.93152 7.54557 1.99058 7.34588 2.103C7.1462 2.21543 6.97886 2.37742 6.86001 2.57335V2.57335Z" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
          <path d="M8 6V8.66667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
          <path d="M8 11.3334H8.00667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
        <p class="error-text">Please enter a valid email address</p>
      </div>
    </div>

    <div class="reset-button-container">
      <button class="submit-reset-button">Send Reset Link</button>
    </div>

    <!-- end mobile-container -->
    <div class="modal-error-overlay">
      <div class="modal-error-content">
        <div class="modal-error-header">
          <div class="modal-error-icon"></div>
          <h2 class="modal-alert">Error</h2>
        </div>
        <div class="modal-error-body">
          <p class="small-text">Something went wrong with confirming your email.</p>
        </div>
        <div>
          <button class="modal-error-close" onclick="closeErrorModal()">OK</button>
        </div>
      </div>
    </div>
  </form>
</div>
<script>
  const emailField = document.getElementById('email');

  emailField.addEventListener('blur', () => didUpdateEmail(emailField.value));

  function didUpdateEmail(emailValue) {
    const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    const emailError = document.getElementById('email-error');
    if (emailRegex.test(emailValue)) {
      emailError.classList.add('hidden');
    } else {
      emailError.classList.remove('hidden');
    }
  };

    // error modal
  const modalOverlay = document.querySelector('.modal-error-overlay');
  const modalCloseButton = document.querySelector('.modal-error-close');

  function closeErrorModal() {
    modalOverlay.style.display = 'none';
  };

    // helpers
  function handleAPIErrors(errors) {
    const modalOverlay = document.querySelector('.modal-error-overlay');
    const modalBody = document.querySelector('.modal-error-body');
    modalBody.innerHTML = '';

    console.log('API ERRORS: ', errors);

    if (errors && errors.length) {
      const lastError = errors[errors.length - 1];
      const errorMessage = ERROR_MESSAGES[lastError];

      if (errorMessage) {
        modalOverlay.style.display = 'flex';
        const errorBody = `<p class="small-text">${errorMessage}</p>`;
        modalBody.innerHTML = errorBody;
      }
    }
  };

  window.onload = () => {
    if (ERRORS && ERRORS.length) {
      handleAPIErrors(ERRORS);
    }
  }

  if (window.parent) {
    window.parent.postMessage({ type: "idp-forgot-password" }, "*")
  }
</script>